picard.fingerprint

## Class CrosscheckReadGroupFingerprints

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.fingerprint.CrosscheckReadGroupFingerprints

-     public class CrosscheckReadGroupFingerprints
      extends CommandLineProgram

  Program to check that all read groups within the set of BAM files appear to come from the same individual.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `ALLOW_DUPLICATE_READS`
    `boolean` | `CROSSCHECK_LIBRARIES`
    `boolean` | `CROSSCHECK_SAMPLES`
    `int` | `EXIT_CODE_WHEN_MISMATCH`
    `boolean` | `EXPECT_ALL_READ_GROUPS_TO_MATCH`
    `static String` | `EXPECTED_MATCH`
    `static String` | `EXPECTED_MISMATCH`
    `double` | `GENOTYPING_ERROR_RATE`
    `File` | `HAPLOTYPE_MAP`
    `List<File>` | `INPUT`
    `double` | `LOD_THRESHOLD`
    `double` | `LOSS_OF_HET_RATE`
    `int` | `NUM_THREADS`
    `File` | `OUTPUT`
    `boolean` | `OUTPUT_ERRORS_ONLY`
    `static String` | `UNEXPECTED_MATCH`
    `static String` | `UNEXPECTED_MISMATCH`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrosscheckReadGroupFingerprints()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doWork()` Do the work after command line has been parsed.
    `static void` | `main(String[] args)` Stock main method.

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(shortName="I",
                  doc="One or more input BAM files (or lists of BAM files) to compare fingerprints for.")
          public List<File> INPUT

    - #### OUTPUT

          @Option(shortName="O",
                  optional=true,
                  doc="Optional output file to write metrics to. Default is to write to stdout.")
          public File OUTPUT

    - #### HAPLOTYPE_MAP

          @Option(shortName="H",
                  doc="The file of haplotype data to use to pick SNPs to fingerprint")
          public File HAPLOTYPE_MAP

    - #### LOD_THRESHOLD

          @Option(shortName="LOD",
                  doc="If any two read groups match with a LOD score lower than the threshold the program will exit with a non-zero code to indicate error. 0 means equal probability the read groups match vs. come from different individuals, negative numbers mean N logs more likely that the read groups are from different individuals and positive numbers mean N logs more likely that the read groups are from the sample individual.")
          public double LOD_THRESHOLD

    - #### CROSSCHECK_SAMPLES

          @Option(doc="Instead of producing the normal comparison of read-groups, roll fingerprints up to the sample level and print out a sample x sample matrix with LOD scores.")
          public boolean CROSSCHECK_SAMPLES

    - #### CROSSCHECK_LIBRARIES

          @Option(doc="Instead of producing the normal comparison of read-groups, roll fingerprints up to the library level and print out a library x library matrix with LOD scores.")
          public boolean CROSSCHECK_LIBRARIES

    - #### NUM_THREADS

          @Option(doc="The number of threads to use to process BAM files and generate Fingerprints.")
          public int NUM_THREADS

    - #### ALLOW_DUPLICATE_READS

          @Option(doc="Allow the use of duplicate reads in performing the comparison. Can be useful when duplicate marking has been overly aggressive and coverage is low.")
          public boolean ALLOW_DUPLICATE_READS

    - #### GENOTYPING_ERROR_RATE

          @Option(doc="Assumed genotyping error rate that provides a floor on the probability that a genotype comes from the expected sample.")
          public double GENOTYPING_ERROR_RATE

    - #### OUTPUT_ERRORS_ONLY

          @Option(doc="If true then only read groups that do not relate to each other as expected will have their LODs reported.")
          public boolean OUTPUT_ERRORS_ONLY

    - #### LOSS_OF_HET_RATE

          @Option(doc="The rate at which a het in a normal sample turns into a hom in the tumor.",
                  optional=true)
          public double LOSS_OF_HET_RATE

    - #### EXPECT_ALL_READ_GROUPS_TO_MATCH

          @Option(doc="Expect all read groups\' fingerprints to match, irrespective of their sample names.  By default (with this value set to false), read groups with different sample names are expected to mismatch, and those with the same sample name are expected to match.")
          public boolean EXPECT_ALL_READ_GROUPS_TO_MATCH

    - #### EXIT_CODE_WHEN_MISMATCH

          @Option(doc="When one or more mismatches between read groups are detected, exit with this value instead of 0.")
          public int EXIT_CODE_WHEN_MISMATCH

    - #### EXPECTED_MATCH

          public static final String EXPECTED_MATCH

      See Also:
        Constant Field Values

    - #### EXPECTED_MISMATCH

          public static final String EXPECTED_MISMATCH

      See Also:
        Constant Field Values

    - #### UNEXPECTED_MATCH

          public static final String UNEXPECTED_MATCH

      See Also:
        Constant Field Values

    - #### UNEXPECTED_MISMATCH

          public static final String UNEXPECTED_MISMATCH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CrosscheckReadGroupFingerprints

          public CrosscheckReadGroupFingerprints()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Stock main method.

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.